Valstorm LogoDev

apps Endpoints

All endpoints for the apps API group. Great for feeding into an LLM context.

POST

/v1/apps/marketplace-deployment

Marketplace Deployment

Deploys the current app state to the 'Base' database (The Marketplace).


Parameters
id*
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

PUT

/v1/apps/deploy

Receive App Deploy

Receives an app package from CICD and deploys it to the Current User's Organization.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "additionalProperties": true,
        "type": "object",
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/apps/app-update-subscribers

App Update Subscribers

Updates all organizations that are subscribed to the provided App.


Parameters
id*
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/apps/deploy/{app_id_or_name}

Deploy App

Triggers a deployment by sending the App Data to the CICD service. (This logic mostly remains the same as it's an outbound HTTP call, not an internal sync)


Parameters
app_id_or_name*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/apps/apply-apps

Apply Apps Route

Bulk installs a list of Apps by ID.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "additionalProperties": true,
        "type": "object",
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/apps/onboard-app

Set Onboarded

Retrieves a list of onboarded apps for the current user's organization.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/SetOnboardedRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner